mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.ISerializable System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true) To be added

Provides a wrapper class for pointers.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` To be added.

  Boxes the supplied unmanaged memory pointer and the type associated with that pointer into a managed wrapper object. The value and the type are saved so they can be accessed from the native code during an invocation.

  A pointer object.

  The supplied unmanaged memory pointer. The type associated with the parameter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Sets the object with the file name, fusion log, and additional exception information.

  The that holds the serialized object data about the exception being thrown. The that contains contextual information about the source or destination.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void* `` To be added

  Returns the stored pointer.

  This method returns void.

  The stored pointer.